#include <bits/stdc++.h>

using namespace std;
#define int long long
const int maxn = 1e5;

struct edge {
    int a, b;
    bool used;

    edge(int aa, int bb) {
        used = false;
        a = aa;
        b = bb;
    }
};

vector<edge> g[maxn];
int n;
map<int, int> getinda;
map<int, int> getindb;
int stin[maxn];
int stout[maxn];

bool used[maxn];
vector<edge> ans;

void find_euler(int v) {
    used[v] = true;
    for (int i = 0; i < g[v].size(); ++i) {
        int to = g[v][i].b;
        if (g[v][i].used)continue;
        if (used[to]) {
            ans.push_back(g[v][i]);
            g[v][i].used = true;
        } else {
            find_euler(to);
        }
    }
}

signed main() {
    cin.tie();
    cout.tie();
    ios_base::sync_with_stdio(false);
    cin >> n;

    int a[n];
    int b[n];
    int has = -1;
    for (int i = 0; i < n; ++i) {
        int m, s;
        cin >> m >> s;
        vector<int> gg;
        for (int j = 0; j < m; ++j) {
            int o;
            cin >> o;
            gg.push_back(o);
        }
        if (gg.size() > 1) {
            has = gg[1] - gg[0];
        }
        for (int k = 0; k < gg.size() - 1; ++k) {
            if (gg[k + 1] - gg[k] != has) {
                cout << "No";
                exit(0);
            }
        }
        a[i] = gg[0];
        b[i] = s - gg[gg.size() - 1];
    }
    if (n == 1) {
        cout << "Yes" << "\n";
        cout << 1 << "\n";
        exit(0);
    }
    if (has != -1) {
        for (int i = 0; i < n; ++i) {
            if (getinda.count(a[i]) == 0) {
                getinda.insert({a[i], getinda.size()});
            }
        }
        for (int i = 0; i < n; ++i) {
            if (getindb.count(b[i]) == 0) {
                getindb.insert({b[i], getinda.size() + getindb.size()});
            }
        }
        for (int j = 0; j < n; ++j) {
            g[getinda[a[j]]].push_back(edge(getinda[a[j]], getindb[b[j]]));
            if (getinda.count(n - b[j]) == 0) {
                continue;
            }
            g[getindb[b[j]]].push_back(edge(getindb[b[j]], getinda[n - b[j]]));
        }
        for (int k = 0; k < n; ++k) {
            for (int i = 0; i < g[k].size(); ++i) {
                int to = g[k][i].b;
                stin[to]++;
                stout[k]++;
            }
        }
        vector<int> bad;
        for (int l = 0; l < n; ++l) {
            if ((stin[l] + stout[l]) % 2 == 1) {
                bad.push_back(l);
            }
        }
        if (stin[bad[0]] < stout[bad[0]]) {
            swap(bad[0], bad[1]);
        }
        if (bad.size() > 2) {
            cout << "No";
            exit(0);
        }
        if (bad.size() != 0) {
            g[bad[0]].push_back(edge(bad[0], bad[1]));
        }
        find_euler(bad[0]);
        reverse(ans.begin(), ans.end());
        vector<edge> goodans;
        for (int m = 0; m < ans.size(); ++m) {
            if (ans[m].a == bad[0] && ans[m].b == bad[1]&&bad[0]!=bad[1]) {
                continue;
            } else {
                goodans.push_back(ans[m]);
            }
        }
        vector<int> play;
        play.push_back(goodans[0].a);
        for (int i1 = 0; i1 < goodans.size(); ++i1) {
            play.push_back(goodans[i1].b);
        }
        map<pair<int, int>, vector<int>> mp;
        for (int k1 = 0; k1 < n; ++k1) {
            mp[{a[k1], b[k1]}].push_back(k1);
        }
        for (int i = 0; i < play.size(); i += 2) {
            cout << mp[{play[i], play[i + 1]}].back() + 1 << " ";
            mp[{play[i], play[i + 1]}].pop_back();
        }
    } else {
        vector<int> per;
        for (int l = 0; l < n; ++l) {
            per.push_back(l);
        }
        while (next_permutation(per.begin(), per.end())) {
            int need = has;
            if (need == -1) {
                need = b[per[0]] + a[per[1]];
            }
            bool ok = true;
            for (int i = 0; i < per.size() - 1; ++i) {
                if (b[per[i]] + a[per[i + 1]] != need) ok = false;
            }
            if (ok) {
                cout << "Yes" << "\n";
                for (int i = 0; i < per.size(); ++i) {
                    cout << per[i] + 1 << " ";
                }
                exit(0);
            }
        }
        cout << "No";
    }
}