#include <bits/stdc++.h>

using namespace std;
#define int long long
int n, m, c;
const int mx = 10;
int a[mx][mx];
vector<pair<int, int>> nxt;

void rec(int id, int x, int y) {
    if (id == nxt.size()) {
        for (int i = 0; i < n; ++i) {
            for (int j = 0; j < m; ++j) {
                cout << a[i][j] << " ";
            }
            cout << "\n";
        }
        exit(0);
    }
    vector<int> s;
    for (int i = 1; i <= c; ++i) {
        s.push_back(i);
    }
    random_shuffle(s.begin(), s.end());
    for (int l = 0; l < s.size(); ++l) {
        int tmp = a[x][y];
        a[x][y] = s[l];
        bool ok = true;
        for (int k = 0; k <= n - 1; ++k) {
            for (int i = 0; i <= m - 1; ++i) {
                if (abs(x - k) < 1 || abs(y - i) < 1)continue;
                if (a[k][i] == a[x][y] && a[k][i] == a[k][y] && a[k][i] == a[x][i]) {
                    ok = false;
                    break;
                }
            }
            if (!ok)break;
        }
        if (ok) {
            int x1 = -1;
            int y1 = -1;
            if (id + 1 != nxt.size()) {
                x1 = nxt[id + 1].first;
                y1 = nxt[id + 1].second;
            }
            rec(id + 1, x1, y1);
        }
        a[x][y] = tmp;
    }
}

signed main() {
    cin.tie();
    cout.tie();
    ios_base::sync_with_stdio(false);
    cin >> n >> m >> c;
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < m; ++j) {
            a[i][j] = i * m + j;
            nxt.push_back({i, j});
        }
    }
    random_shuffle(nxt.begin(), nxt.end());
    rec(0, nxt[0].first, nxt[0].second);
}