#include <bits/stdc++.h>

using namespace std;
#define int long long


const int mod = 1e9 + 7;
const int maxn = 4e5;
int fact[maxn];

int pow(int a, int b) {
    if (b == 0)return 1;
    if (b % 2 == 0) {
        int y = pow(a, b / 2);
        return y * y % mod;
    } else {
        return pow(a, b - 1) * a % mod;
    }
}

int C(int n, int k) {
    if (k > n)return 0;
    if (k == -1)return 0;
    return fact[n] * pow(fact[k] * fact[n - k] % mod, mod - 2) % mod;
}

int gt(int n, int k) {
    if (n == 0)return 1;
    if (k == 0)return 0;
    return C(n + k - 1, k - 1);
}

signed main() {
    cin.tie();
    cout.tie();
    ios_base::sync_with_stdio(false);
    fact[0] = 1;
    for (int k = 1; k < maxn; ++k) {
        fact[k] = fact[k - 1] * k % mod;
    }
    string a;
    string b;
    string c;
    cin >> a >> b >> c;
    bool haszer = false;
    int n = a.size();
    int cnt00 = 0;
    int cnt01 = 0;
    int cnt10 = 0;
    int cnt11 = 0;
    for (int j = 0; j < n; ++j) {
        if (a[j] == '0' || b[j] == '0' || c[j] == '0')haszer = true;
    }
    if (!haszer) {
        for (int i = 0; i < n; ++i) {

            if (a[i] - '0' + b[i] - '0' == c[i] - '0') {
                cnt00++;
            } else if (a[i] - '0' + b[i] - '0' == c[i] - '0' + 10) {
                cnt10++;
            } else if (a[i] - '0' + b[i] - '0' + 1 == c[i] - '0') {
                cnt01++;
            } else if (a[i] - '0' + b[i] - '0' + 1 == c[i] - '0' + 10)cnt11++;
            else {
                cout << "0";
                exit(0);
            }
        }
        if (cnt00 == 0 && cnt10 == 0) {
            cout << "0";
            exit(0);
        }
        int x1 = cnt00;
        int x2 = cnt01;
        int x3 = cnt11;
        int x4 = cnt10;
        int x5 = cnt00 + cnt10;
        int x6 = cnt01 + cnt11;
        if (x5 - x1 == x6 - x3 && x2 == x5 - x1 && x4 == x5 - x1) {

        } else {
            cout << "0";
            exit(0);
        }
        int num1 = x1;
        int num2 = x2;
        int num3 = x3;
        int ans = 0;
        int kol = gt(num1, num2 + 1) * gt(num3, num2) % mod;
        ans = kol;
        ans *= fact[cnt00];
        ans %= mod;
        ans *= fact[cnt01];
        ans %= mod;
        ans *= fact[cnt10];
        ans %= mod;
        ans *= fact[cnt11];
        ans %= mod;
        cout << ans;
    }
    else{
         cnt00 = 0;
         cnt01 = 0;
         cnt10 = 0;
         cnt11 = 0;
        int cnt00but = 0;
        int cnt10but = 0;
        for (int i = 0; i < n; ++i) {
            if (a[i] - '0' + b[i] - '0' == c[i] - '0') {
                if (a[i] == '0' || b[i] == '0' || c[i] == '0')cnt00but++;
                cnt00++;
            } else if (a[i] - '0' + b[i] - '0' == c[i] - '0' + 10) {
                cnt01++;
            } else if (a[i] - '0' + b[i] - '0' + 1 == c[i] - '0') {
                if (a[i] == '0' || b[i] == '0' || c[i] == '0')cnt10but++;
                cnt10++;
            } else if (a[i] - '0' + b[i] - '0' + 1 == c[i] - '0' + 10)cnt11++;
            else {
                cout << "0";
                exit(0);
            }
        }
        if (cnt00 - cnt00but == 0 && cnt10 - cnt10but == 0) {
            cout << "0";
            exit(0);
        }
        int dp[cnt00 + 1][cnt01 + 1][cnt10 + 1][cnt11 + 1][2];
        for (int i = 0; i < cnt00 + 1; ++i) {
            for (int j = 0; j < cnt01 + 1; ++j) {
                for (int k = 0; k < cnt10 + 1; ++k) {
                    for (int l = 0; l < cnt11 + 1; ++l) {
                        dp[i][j][k][l][0] = 0;
                        dp[i][j][k][l][1] = 0;
                    }
                }
            }
        }
        if (cnt00 - cnt00but > 0)
            dp[cnt00 - 1][cnt01][cnt10][cnt11][0] = cnt00 - cnt00but;
        if (cnt10 - cnt10but > 0)
            dp[cnt00][cnt01][cnt10 - 1][cnt11][1] = cnt10 - cnt10but;
        for (int j = cnt00; j >= 0; --j) {
            for (int i = cnt01; i >= 0; --i) {
                for (int k = cnt10; k >= 0; --k) {
                    for (int l = cnt11; l >= 0; --l) {
                        int ind = j + i + k + l;
                        if (ind >= n - 1)continue;
                        if (j != cnt00)
                            dp[j][i][k][l][0] += dp[j + 1][i][k][l][0] * (j + 1);
                        if (i != cnt01)
                            dp[j][i][k][l][0] += dp[j][i + 1][k][l][1] * (i + 1);
                        if (k != cnt10)
                            dp[j][i][k][l][1] += dp[j][i][k + 1][l][0] * (k + 1);
                        if (l != cnt11)
                            dp[j][i][k][l][1] += dp[j][i][k][l + 1][1] * (l + 1);
                        dp[j][i][k][l][0] %= mod;
                        dp[j][i][k][l][1] %= mod;
                    }
                }
            }
        }
        int ans = dp[0][0][0][0][0];
        cout << ans << "\n";
    }
}